Name:          avisynthplus
Version:       3.7.4
Release:       1mamba
Summary:       An improved version of the AviSynth frameserver, with improved features and developer friendliness
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://avs-plus.net/
Source:        https://github.com/AviSynth/AviSynthPlus.git/v%{version}/AviSynthPlus-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdevil-devel
BuildRequires: libgcc
BuildRequires: libsoundtouch-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
AviSynth+ is an improved version of the AviSynth frameserver, with improved features and developer friendliness.

%package -n lib%{name}
Group:         System/Libraries
Summary:       An improved version of the AviSynth frameserver, with improved features and developer friendliness

%description -n lib%{name}
AviSynth+ is an improved version of the AviSynth frameserver, with improved features and developer friendliness.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q -n AviSynthPlus-%{version}

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libavisynth.so.*
%dir %{_libdir}/avisynth
%{_libdir}/avisynth/lib*.so

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/avisynth
%{_includedir}/avisynth/*
%{_libdir}/libavisynth.so
%{_libdir}/pkgconfig/avisynth.pc
%doc README.md

%changelog
* Tue Mar 25 2025 Automatic Build System <autodist@openmamba.org> 3.7.4-1mamba
- automatic version update by autodist

* Thu Jan 16 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.3-1mamba
- package created using the webbuild interface
